﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace TestFluidUI
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        private SimpleView view1 = new SimpleView();
        private DataView view2 = new DataView();
        private SchedulerView view3 = new SchedulerView();
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            cc.Content = view3;
            view3.Visibility = Visibility.Hidden;
        }


        private void Button_Click(object sender, RoutedEventArgs e)
        {
           
            switch ((sender as Button).Tag.ToString())
            {
                    
                case "1":
                    cc.Content = view1;
                break;
                case "2":
                    cc.Content = view2;
                    break;
                case "3":
                    if (cc.Content != view3)
                    {
                        cc.Content = view3;
                    }
                    view3.Visibility = Visibility.Visible;
                    break;
            }
           
        }
    }
}
